Uhr

GitLab: Update für IT-Sicherheitswarnung (Risiko: hoch)

Wie das BSI aktuell meldet, hat die IT-Sicherheitswarnung bezüglich einer bekannten Schwachstelle für GitLab ein Update erhalten. Welche Betriebssysteme und Produkte von den Sicherheitslücken betroffen sind, lesen Sie hier auf news.de.

Aktuelle IT-Sicherheitshinweise auf news.de (Symbolbild). (Foto) Suche
Aktuelle IT-Sicherheitshinweise auf news.de (Symbolbild). Bild: Adobe Stock / titima157

Das Bundesamt für Sicherheit in der Informationstechnik (BSI) hat am 01.12.2023 einen Sicherheitshinweis für GitLab herausgegeben. Die Meldung führt mehrere Schwachstellen auf, die von Angreifern ausgenutzt werden können. Betroffen von der Sicherheitslücke sind das Betriebssystem Linux sowie das Produkt Open Source GitLab.

Die neuesten Hersteller-Empfehlungen bezüglich Updates, Workarounds und Sicherheitspatches für diese Sicherheitslücke finden Sie hier: GitLab Security Release (Stand: 30.11.2023).

Mehrere Schwachstellen für GitLab gemeldet - Risiko: hoch

Risikostufe: 5 (hoch)
CVSS Base Score: 8,7
CVSS Temporal Score: 8,7
Remoteangriff: Ja

Zur Bewertung der Verwundbarkeit von Computersystemen wird das Common Vulnerability Scoring System (CVSS) angewandt. Der CVSS-Standard ermöglicht es, potenzielle oder tatsächliche Sicherheitslücken auf Basis verschiedener Metriken miteinander zu vergleichen, um eine darauf aufbauende Prioritätenliste zur Einleitung von Gegenmaßnahmen zu erstellen. Für die Schweregrade einer Schwachstelle werden die Attribute "keine", "niedrig", "mittel", "hoch" und "kritisch" verwendet. Der Base Score bewertet die Voraussetzungen für einen Angriff (u.a. Authentifizierung, Komplexität, Privilegien, Userinteraktion) sowie dessen Konsequenzen. Beim Temporal Score fließen über die Zeit veränderbare Rahmenbedingungen in die Bewertung ein. Der Schweregrad der hier behandelten Schwachstelle wird nach dem CVSS mit einem Base Score von 8,7 als "hoch" eingeschätzt.

GitLab Bug: Zusammenfassung der bekannten Schwachstellen

GitLab ist eine Webanwendung zur Versionsverwaltung für Softwareprojekte auf Basis von git.

Ein entfernter Angreifer kann mehrere Schwachstellen in GitLab ausnutzen, um Sicherheitsmaßnahmen zu umgehen, einen Denial-of-Service-Zustand herbeizuführen, vertrauliche Informationen offenzulegen, Dateien zu manipulieren, seine Berechtigungen zu erweitern oder XSS-Angriffe durchzuführen.

Klassifiziert wurden die Schwachstellen mithilfe des CVE-Referenziersystems (Common Vulnerabilities and Exposures) durch die individuellen Seriennummern CVE-2023-6396, CVE-2023-6033, CVE-2023-5995, CVE-2023-5226, CVE-2023-4912, CVE-2023-4658, CVE-2023-4317, CVE-2023-3964, CVE-2023-3949, CVE-2023-39417, CVE-2023-3443, CVE-2023-3401 und CVE-2022-41409.

Von der GitLab-Sicherheitslücke betroffene Systeme im Überblick

Betriebssystem
Linux

Produkte
Open Source GitLab < 16.6.1 (cpe:/a:gitlab:gitlab)
Open Source GitLab < 16.5.3 (cpe:/a:gitlab:gitlab)
Open Source GitLab < 16.4.3 (cpe:/a:gitlab:gitlab)

Allgemeine Empfehlungen zum Umgang mit IT-Sicherheitslücken

  1. Anwender der betroffenen Anwendungen sollten diese auf dem aktuellsten Stand halten. Hersteller sind bei Bekanntwerden von Sicherheitslücken dazu angehalten, diese schnellstmöglich durch Entwicklung eines Patches oder eines Workarounds zu beheben. Sollten neue Sicherheitsupdates verfügbar sein, installieren Sie diese zeitnah.
  2. Konsultieren Sie zu Informationszwecken die im nächsten Abschnitt aufgeführten Quellen. Häufig enthalten diese weiterführende Informationen zur aktuellsten Version der betreffenden Software sowie zur Verfügbarkeit von Sicherheitspatches oder Hinweise zu Workarounds.
  3. Wenden Sie sich bei weiteren Fragen oder Unsicherheiten an Ihren zuständigen Administrator. IT-Sicherheitsverantwortliche sollten die genannten Quellen regelmäßig daraufhin prüfen, ob ein neues Sicherheitsupdate zur Verfügung steht.

Hersteller-Informationen zu Updates, Patches und Workarounds

An dieser Stelle befinden sich weiterführende Links mit Informationen über Bug-Reports, Security-Fixes und Workarounds.

GitLab Security Release vom 2023-11-30 (01.12.2023)
Weitere Informationen finden Sie unter: https://about.gitlab.com/releases/2023/11/30/security-release-gitlab-16-6-1-released/

Versionshistorie dieser Sicherheitswarnung

Dies ist die 2. Version des vorliegenden IT-Sicherheitshinweises für GitLab. Bei Bekanntgabe weiterer Updates wird dieser Text aktualisiert. Änderungen oder Ergänzungen können Sie in dieser Versionshistorie nachlesen.

01.12.2023 - Initiale Fassung
05.12.2023 - Anpassung CVSS Score

+++ Redaktioneller Hinweis: Dieser Text wurde auf Basis aktueller BSI-Daten KI-gestützt erstellt. Feedback und Anmerkungen nehmen wir unter hinweis@news.de entgegen. +++

Folgen Sie News.de schon bei Facebook, Twitter, Pinterest und YouTube? Hier finden Sie brandheiße News, aktuelle Videos und den direkten Draht zur Redaktion.

Bearbeitet durch kns

roj/news.de

Themen:
Bleiben Sie dran!

Wollen Sie wissen, wie das Thema weitergeht? Wir informieren Sie gerne.